This URL gets the list of urls for category.
Resource URL
GET /ntbamonitors/{ntbaId}/ topurlsbycategory/<category_id>? TopN=<TopN> &timePeriod=<timePeriod>&startTime=<startTime>&endTime=<endTime>
Request Parameters
| Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| ntbaId | NTBA monitor id | Number | Yes |
| TopN | Number of top rows, default 50. | Number | No |
| timePeriod | Duration: can be
|
String | No |
| startTime | Start time in the format: yyyy-MM-dd HH:mm | String | No |
| endTime | End time in the format: yyyy-MM-dd HH:mm | String | No |
| Category_id | Category id | Number | Yes |
Response Parameters
Following fields are returned if the request parameters are correct, otherwise error details are returned.
| Field Name | Description | Data Type |
|---|---|---|
| topURLsOnNetwork | List of URLs | Array |
Details of topURLsOnNetwork:
| Field Name | Description | Data Type |
|---|---|---|
| reputation | Reputation | String |
| url | URL | Number |
| urlId | URL id | String |
| country | Country | String |
| count | Count | Number |
Example
Request
Response
{
"topURLsOnNetwork":[{
"reputation":"Minimal Risk","url":"twitter.com","urlId":"8390917","category":"Blogs/Wiki","country":"United States","count":6},{"reputation":"Minimal Risk","url":"wikipedia.org","urlId":"10536655","category":"Education/Reference","country":"United States","count":7}]
}
Error Information
Following error codes are returned by this URL:
| S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
|---|---|---|---|
| 1 | 400 | 4301 | Invalid duration |
| 2 | 400 | 4302 | Invalid time format |
| 3 | 400 | 4303 | Start time is greater than end time |
| 4 | 400 | 4304 | Invalid date format |
| 5 | 400 | 4305 | Start/End date is not provided |
| 6 | 400 | 4306 | Invalid NTBA id |
| 7 | 400 | 4308 | Invalid category id |